View Issue Details

IDProjectCategoryView StatusLast Update
0025451LazarusLCLpublic2014-10-03 22:50
ReporterhovadurAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSwindows xpOS Version
Product Version1.2.0RC1Product Build 
Target Version1.4Fixed in Version1.3 (SVN) 
Summary0025451: Copy from readonly DBGrid
DescriptionI want to copy from readonly DBGrid, as in Delphi.
Now you can not copy anything from readonly DBGrid, because the cell is not selected with editor.
I changed the file lcl/grids.pas in procedure
function TCustomGrid.EditingAllowed(ACol: Integer = -1): Boolean;
Instead of a line
    Result:=(C<>nil) and (not C.ReadOnly);
put the line
    Result:=(C<>nil);
Behavior like Delphi, but not completely: in delphi you can not cut from the cell, in lazarus you can, but cell value goes back after the jump to another cell.
TagsNo tags attached.
Fixed in Revision46418
LazTarget1.4
Widgetset
Attached Files

Relationships

has duplicate 0025459 closed Copy from readonly DBGrid using mouse 

Activities

Jesus Reyes

2014-10-03 22:50

developer   ~0077980

The Lazarus DBGrid works differently as you have noted, it doesn't show the editor when the field is found to be readonly. Changing it so it does show the editor on readonly involves major changes which are not planned for next 1.4 revision. We can talk about it after 1.4 is released if you are still interested.

In r46418 I have implemented copy the current field value to clipboard which is not exactly what was requested but it should help in some situations.

Issue History

Date Modified Username Field Change
2013-12-23 08:24 hovadur New Issue
2013-12-27 15:04 Reinier Olislagers Relationship added has duplicate 0025459
2014-10-02 06:23 Jesus Reyes Assigned To => Jesus Reyes
2014-10-02 06:23 Jesus Reyes Status new => assigned
2014-10-03 22:50 Jesus Reyes Fixed in Revision => 46418
2014-10-03 22:50 Jesus Reyes LazTarget => 1.4
2014-10-03 22:50 Jesus Reyes Note Added: 0077980
2014-10-03 22:50 Jesus Reyes Status assigned => resolved
2014-10-03 22:50 Jesus Reyes Fixed in Version => 1.3 (SVN)
2014-10-03 22:50 Jesus Reyes Resolution open => fixed
2014-10-03 22:50 Jesus Reyes Target Version => 1.4